/* Uždavinys:   Laisvadieniai (laisvad-jau)
 * Olimpiada:   LIO'11
 * Etapas:      respublikinis
 * Grupė:       jaunesniųjų
 *
 * Autorius:    Linas Petrauskas
 *
 * Efektyvus sprendimas per daug nesukant galvos.
 * Numeracija nuo 0, pvz savaitės dienos numeruojamos 0, 1, ... (d + s - 1)
 *
 */

#include <iostream>
#include <cstdio>

using namespace std;

    const int MAXM = 1000, MAXW = 20; 

    int m, d, s, w, n;  // uždavinio kintamieji, w = d + s
    bool svente[MAXM];  // šventinės dienos
    int nedarbo[MAXW];  // nedarbo dienų skaičius pagal pirmą metų savaitės dieną

/* Nedarbo dienų skaičius metuose y.
 */
int nedarbo_metuose(int y)
{
    // kokia savaitės diena prasideda metai?
    int x = m * y % w;
    // jei nebuvo suskaičiuota anksčiau
    if (nedarbo[x] == -1) {
        nedarbo[x] = 0;
        for (int i = 0; i < m; i++)
            if (svente[i] || (x + i) % w >= d)
                nedarbo[x]++;
    }
    return nedarbo[x];
}

int main()
{
    freopen("laisvad-jau.in", "r", stdin);
    freopen("laisvad-jau.out", "w", stdout);

    cin >> m >> d >> s; w = d + s;
    int k; cin >> k;
    for (int i = 0; i < k; i++) {
        int x; cin >> x;
        svente[x - 1] = true;
    }
    cin >> n;

    for (int i = 0; i < w; i++)
        nedarbo[i] = -1;

    int suma = 0;
    for (int i = 0; i < n; i++)
        suma += nedarbo_metuose(i);
    cout << suma << endl;

    return 0;
}
